Dependent module /opt/freeware/lib/libintl.a(libintl.so.8)

Report any bugs, issues, fixes and known work-arounds here.

Dependent module /opt/freeware/lib/libintl.a(libintl.so.8)

Postby Steve » Sat Apr 23, 2011 10:48 pm

After upgrading to the latest TL level, I started getting the following errors when starting Apache Web Server and from rrdtool.

/opt/freeware/apache2/bin/apachectl start
httpd: Syntax error on line 415 of /opt/freeware/apache2/conf/httpd.conf: Cannot load /opt/freeware/apache2/modules/libphp5.so into server: \t0509-022 Cannot load module /opt/freeware/apache2/modules/libphp5.so.\n\t0509-150 Dependent module /opt/freeware/lib/libintl.a(libintl.so.8) could not be loaded.\n\t0509-152 Member libintl.so.8 is not found in archive \n\t0509-022 Cannot load module /opt/freeware/apache2/modules/libphp5.so.\n\t0509-150 Dependent module /opt/freeware/apache2/modules/libphp5.so could not be loaded.

/opt/freeware/bin/rrdtool
exec(): 0509-036 Cannot load program /opt/freeware/bin/rrdtool because of the following errors:
0509-022 Cannot load module /opt/freeware/lib/libglib-2.0.a(libglib-2.0.so.0).
0509-150 Dependent module /opt/freeware/lib/libintl.a(libintl.so.8) could not be loaded.
0509-152 Member libintl.so.8 is not found in archive
0509-022 Cannot load module rrdtool.
0509-150 Dependent module /opt/freeware/lib/libglib-2.0.a(libglib-2.0.so.0) could not be loaded.


To fix this, I had to reinstall gettext-0.17-1.aix5.1.ppc.rpm with this command:
rpm -Uvh --force gettext-0.17-1.aix5.1.ppc.rpm


Thanks to http://www.perzl.org/aix for the pre-compiled version of gettext.
Steve
 
Posts: 25
Joined: Fri Mar 25, 2011 1:00 pm

Return to Bug and Issues.

Who is online

Users browsing this forum: No registered users and 1 guest

cron